FLTK 1.3.7: Fl_XPM_Image Class Reference

FLTK 1.3.7

Public Member Functions | List of all members
Fl_XPM_Image Class Reference

The Fl_XPM_Image class supports loading, caching, and drawing of X Pixmap (XPM) images, including transparency. More...

`#include <Fl_XPM_Image.H>`

Inheritance diagram for Fl_XPM_Image:

## Public Member Functions
| Fl_XPM_Image (const char *filename)
| The constructor loads the XPM image from the name filename. More...
Public Member Functions inherited from Fl_Pixmap
virtual void | color_average (Fl_Color c, float i)
| The color_average() method averages the colors in the image with the FLTK color value c. More...
Fl_Image * | copy ()
virtual Fl_Image * | copy (int W, int H)
| The copy() method creates a copy of the specified image. More...
virtual void | desaturate ()
| The desaturate() method converts an image to grayscale. More...
void | draw (int X, int Y)
virtual void | draw (int X, int Y, int W, int H, int cx=0, int cy=0)
| Draws the image with a bounding box. More...
| Fl_Pixmap (char *const *D)
| The constructors create a new pixmap from the specified XPM data. More...
| Fl_Pixmap (const char *const *D)
| The constructors create a new pixmap from the specified XPM data. More...
| Fl_Pixmap (const uchar *const *D)
| The constructors create a new pixmap from the specified XPM data. More...
| Fl_Pixmap (uchar *const *D)
| The constructors create a new pixmap from the specified XPM data. More...
virtual void | label (Fl_Menu_Item *m)
| The label() methods are an obsolete way to set the image attribute of a widget or menu item. More...
virtual void | label (Fl_Widget *w)
| The label() methods are an obsolete way to set the image attribute of a widget or menu item. More...
virtual void | uncache ()
| If the image has been cached for display, delete the cache data. More...
virtual | ~Fl_Pixmap ()
| The destructor frees all memory and server resources that are used by the pixmap.
Public Member Functions inherited from Fl_Image
Fl_Image * | copy ()
| The copy() method creates a copy of the specified image. More...
int | count () const
| The count() method returns the number of data values associated with the image. More...
int | d () const
| Returns the current image depth. More...
const char *const * | data () const
| Returns a pointer to the current image data array. More...
void | draw (int X, int Y)
| Draws the image. More...
int | fail ()
| Returns a value that is not 0 if there is currently no image available. More...
| Fl_Image (int W, int H, int D)
| The constructor creates an empty image with the specified width, height, and depth. More...
int | h () const
| Returns the current image height in pixels.
void | inactive ()
| The inactive() method calls color_average(FL_BACKGROUND_COLOR, 0.33f) to produce an image that appears grayed out. More...
int | ld () const
| Returns the current line data size in bytes. More...
int | w () const
| Returns the current image width in pixels.
virtual | ~Fl_Image ()
| The destructor is a virtual method that frees all memory used by the image.

## Additional Inherited Members
Static Public Member Functions inherited from Fl_Image
static Fl_RGB_Scaling | RGB_scaling ()
| Returns the currently used RGB image scaling method.
static void | RGB_scaling (Fl_RGB_Scaling)
| Sets the RGB image scaling method used for copy(int, int). More...
Public Attributes inherited from Fl_Pixmap
int | alloc_data
Static Public Attributes inherited from Fl_Image
static const int | ERR_FILE_ACCESS = -2
static const int | ERR_FORMAT = -3
static const int | ERR_NO_IMAGE = -1
Protected Member Functions inherited from Fl_Pixmap
void | measure ()
Protected Member Functions inherited from Fl_Image
void | d (int D)
| Sets the current image depth.
void | data (const char *const *p, int c)
| Sets the current array pointer and count of pointers in the array.
void | draw_empty (int X, int Y)
| The protected method draw_empty() draws a box with an X in it. More...
void | h (int H)
| Sets the current image height in pixels.
void | ld (int LD)
| Sets the current line data size in bytes. More...
void | w (int W)
| Sets the current image width in pixels.
Static Protected Member Functions inherited from Fl_Image
static void | labeltype (const Fl_Label *lo, int lx, int ly, int lw, int lh, Fl_Align la)
static void | measure (const Fl_Label *lo, int &lw, int &lh)

## Detailed Description

The Fl_XPM_Image class supports loading, caching, and drawing of X Pixmap (XPM) images, including transparency.

## Constructor & Destructor Documentation

## ◆ Fl_XPM_Image()

Fl_XPM_Image::Fl_XPM_Image | ( | const char * | name | ) |

The constructor loads the XPM image from the name filename.

The destructor frees all memory and server resources that are used by the image.

The documentation for this class was generated from the following files:

- Fl_XPM_Image.H
- Fl_XPM_Image.cxx

- Copyright © 1998-2021 by Bill Spitzak and others.